Index: code/branches/FICN/src/network/Synchronisable.cc
===================================================================
--- code/branches/FICN/src/network/Synchronisable.cc	(revision 774)
+++ code/branches/FICN/src/network/Synchronisable.cc	(revision 777)
@@ -10,114 +10,111 @@
 //
 
+#include <string>
+#include <iostream>
+
 #include "Synchronisable.h"
-#include "core/CoreIncludes.h"
 
+namespace network
+{
+  /**
+  * Constructor:
+  * calls registarAllVariables, that has to be implemented by the inheriting classID
+  */
+  Synchronisable::Synchronisable(){
+    RegisterRootObject(Synchronisable);
+    static int idCounter=0;
+    datasize=0;
+    objectID=idCounter++;
+    //registerAllVariables();
+  }
 
-namespace network {
+  Synchronisable::~Synchronisable(){
+  }
 
-/**
- * Constructor:
- * calls registarAllVariables, that has to be implemented by the inheriting classID
- */
-Synchronisable::Synchronisable()
-{
-  RegisterRootObject(Synchronisable);
-  static int idCounter=0;
-  datasize=0;
-  objectID=idCounter++;
-  //registerAllVariables();
-}
+  /**
+  * This function is used to register a variable to be synchronized
+  * also counts the total datasize needed to save the variables
+  * @param var pointer to the variable
+  * @param size size of the datatype the variable consists of
+  */
+  void Synchronisable::registerVar(const void *var, int size, variableType t){
+    // create temporary synch.Var struct
+    synchronisableVariable temp={size, var, t};
+    // increase datasize
+    datasize+=sizeof(int)+size;
+    // push temp to syncList (at the bottom)
+    syncList.push_back(temp);
+  }
 
-
-Synchronisable::~Synchronisable()
-{
-
-}
-
-/**
- * This function is used to register a variable to be synchronized
- * also counts the total datasize needed to save the variables
- * @param var pointer to the variable
- * @param size size of the datatype the variable consists of
- */
-void Synchronisable::registerVar(const void *var, int size, variableType t){
-  // create temporary synch.Var struct
-  synchronisableVariable temp={size, var, t};
-  // increase datasize
-  datasize+=sizeof(int)+size;
-  // push temp to syncList (at the bottom)
-  syncList.push_back(temp);
-}
-
-/**
- * note: only use this function for debug use, because it's inefficient (in order to produce a gamestate, you have to copy the whole data again to another memory location after this process)
- * This function takes all SynchronisableVariables out of the Synchronisable and saves it into a syncData struct
- * structure of the bitstream:
- * (var1_size,var1,var2_size,var2,...)
- * varx_size: size = sizeof(int)
- * varx: size = varx_size
- * @return data containing all variables and their sizes
- */
-// syncData Synchronisable::getData(){
-//   std::list<synchronisableVariable>::iterator i;
-//   int totalsize=0;
-//   //figure out size of data to be allocated
-//   for(i=syncList.begin(); i!=syncList.end(); i++){
-//     // increase size (size of variable and size of size of variable ;)
-//     if(i->type == STRING)
-//       totalsize+=sizeof(int)+((std::string *)i->var)->length()+1;
-//     else
-//       totalsize+=sizeof(int)+i->size;
-//   }
-//   syncData retVal;
-//   retVal.objectID=this->objectID;
-//   retVal.classID=this->classID;
-//   retVal.length=totalsize;
-//   // allocate memory
-//   retVal.data = (unsigned char *)malloc(totalsize);
-//   // copy to location
-//   //CHANGED: REMOVED DECLARATION int n=0 FROM LOOP
-//   int n=0;
-//   for(i=syncList.begin(); n<totalsize && i!=syncList.end(); i++){
-//     std::memcpy(retVal.data+n, (const void*)(i->size), sizeof(int));
-//     n+=sizeof(int);
-//     switch(i->type){
-//     case STRING:
-//       std::memcpy(retVal.data+n, (const void *)(((std::string *)i->var)->c_str()), ((std::string *)i->var)->length()+1);
-//       n+=((std::string *)i->var)->length()+1;
-//       break;
-//     case DATA:
-//       std::memcpy(retVal.data+n, ((const void*)i->var), i->size);
-//       n+=i->size;
-//       break;
-//     }
-//   }
-//   return retVal;
-// }
-/**
- * This function takes all SynchronisableVariables out of the Synchronisable and saves it into a syncData struct
- * Difference to the above function:
- * takes a pointer to already allocated memory (must have at least getSize bytes length)
- * structure of the bitstream:
- * (var1_size,var1,var2_size,var2,...)
- * varx_size: size = sizeof(int)
- * varx: size = varx_size
- * @return data containing all variables and their sizes
- */
-syncData Synchronisable::getData(unsigned char *mem){
-  std::list<synchronisableVariable>::iterator i;
-  syncData retVal;
-  retVal.objectID=this->objectID;
-  retVal.classID=this->classID;
-  retVal.length=getSize();
-  retVal.data=mem;
-  // copy to location
-  int n=0;
-  for(i=syncList.begin(); n<datasize && i!=syncList.end(); ++i){
-    //COUT(2) << "size of variable: " << i->size << std::endl;
-    //(std::memcpy(retVal.data+n, (const void*)(&(i->size)), sizeof(int));
-    memcpy( (void *)(retVal.data+n), (const void*)&(i->size), sizeof(int) );
-    n+=sizeof(int);
-    switch(i->type){
+  /**
+  * note: only use this function for debug use, because it's inefficient (in order to produce a gamestate, you have to copy the whole data again to another memory location after this process)
+  * This function takes all SynchronisableVariables out of the Synchronisable and saves it into a syncData struct
+  * structure of the bitstream:
+  * (var1_size,var1,var2_size,var2,...)
+  * varx_size: size = sizeof(int)
+  * varx: size = varx_size
+  * @return data containing all variables and their sizes
+  */
+  // syncData Synchronisable::getData(){
+  //   std::list<synchronisableVariable>::iterator i;
+  //   int totalsize=0;
+  //   //figure out size of data to be allocated
+  //   for(i=syncList.begin(); i!=syncList.end(); i++){
+  //     // increase size (size of variable and size of size of variable ;)
+  //     if(i->type == STRING)
+  //       totalsize+=sizeof(int)+((std::string *)i->var)->length()+1;
+  //     else
+  //       totalsize+=sizeof(int)+i->size;
+  //   }
+  //   syncData retVal;
+  //   retVal.objectID=this->objectID;
+  //   retVal.classID=this->classID;
+  //   retVal.length=totalsize;
+  //   // allocate memory
+  //   retVal.data = (unsigned char *)malloc(totalsize);
+  //   // copy to location
+  //   //CHANGED: REMOVED DECLARATION int n=0 FROM LOOP
+  //   int n=0;
+  //   for(i=syncList.begin(); n<totalsize && i!=syncList.end(); i++){
+  //     std::memcpy(retVal.data+n, (const void*)(i->size), sizeof(int));
+  //     n+=sizeof(int);
+  //     switch(i->type){
+  //     case STRING:
+  //       std::memcpy(retVal.data+n, (const void *)(((std::string *)i->var)->c_str()), ((std::string *)i->var)->length()+1);
+  //       n+=((std::string *)i->var)->length()+1;
+  //       break;
+  //     case DATA:
+  //       std::memcpy(retVal.data+n, ((const void*)i->var), i->size);
+  //       n+=i->size;
+  //       break;
+  //     }
+  //   }
+  //   return retVal;
+  // }
+  /**
+  * This function takes all SynchronisableVariables out of the Synchronisable and saves it into a syncData struct
+  * Difference to the above function:
+  * takes a pointer to already allocated memory (must have at least getSize bytes length)
+  * structure of the bitstream:
+  * (var1_size,var1,var2_size,var2,...)
+  * varx_size: size = sizeof(int)
+  * varx: size = varx_size
+  * @return data containing all variables and their sizes
+  */
+  syncData Synchronisable::getData(unsigned char *mem){
+    std::list<synchronisableVariable>::iterator i;
+    syncData retVal;
+    retVal.objectID=this->objectID;
+    retVal.classID=this->classID;
+    retVal.length=getSize();
+    retVal.data=mem;
+    // copy to location
+    int n=0;
+    for(i=syncList.begin(); n<datasize && i!=syncList.end(); ++i){
+      //COUT(2) << "size of variable: " << i->size << std::endl;
+      //(std::memcpy(retVal.data+n, (const void*)(&(i->size)), sizeof(int));
+      memcpy( (void *)(retVal.data+n), (const void*)&(i->size), sizeof(int) );
+      n+=sizeof(int);
+      switch(i->type){
       case DATA:
         std::memcpy( (void *)(retVal.data+n), (const void*)(i->var), i->size);
@@ -128,20 +125,20 @@
         n+=((std::string *) i->var)->length()+1;
         break;
+      }
     }
+    return retVal;
   }
-  return retVal;
-}
 
-/**
- * This function takes a syncData struct and takes it to update the variables
- * @param vars data of the variables
- * @return true/false
- */
-bool Synchronisable::updateData(syncData vars){
-  unsigned char *data=vars.data;
-  std::list<synchronisableVariable>::iterator i;
-  for(i=syncList.begin(); i!=syncList.end(); i++){
-    if((int)*data==i->size || i->type==STRING){
-      switch(i->type){
+  /**
+  * This function takes a syncData struct and takes it to update the variables
+  * @param vars data of the variables
+  * @return true/false
+  */
+  bool Synchronisable::updateData(syncData vars){
+    unsigned char *data=vars.data;
+    std::list<synchronisableVariable>::iterator i;
+    for(i=syncList.begin(); i!=syncList.end(); i++){
+      if((int)*data==i->size || i->type==STRING){
+        switch(i->type){
       case DATA:
         data+=sizeof(int);
@@ -155,20 +152,20 @@
         data += i->size;
         break;
-      }
-    } else
-      return false; //there was some problem with registerVar
+        }
+      } else
+        return false; //there was some problem with registerVar
+    }
+    return true;
   }
-  return true;
-}
 
-/**
- * This function returns the total amount of bytes needed by getData to save the whole content of the variables
- * @return amount of bytes
- */
-int Synchronisable::getSize(){
-  int tsize=0;
-  std::list<synchronisableVariable>::iterator i;
-  for(i=syncList.begin(); i!=syncList.end(); i++){
-    switch(i->type){
+  /**
+  * This function returns the total amount of bytes needed by getData to save the whole content of the variables
+  * @return amount of bytes
+  */
+  int Synchronisable::getSize(){
+    int tsize=0;
+    std::list<synchronisableVariable>::iterator i;
+    for(i=syncList.begin(); i!=syncList.end(); i++){
+      switch(i->type){
     case DATA:
       tsize+=sizeof(int);
@@ -179,8 +176,8 @@
       tsize+=((std::string *)i->var)->length()+1;
       break;
+      }
     }
+    return tsize;
   }
-  return tsize;
-}
 
 }
Index: code/branches/FICN/src/network/Synchronisable.h
===================================================================
--- code/branches/FICN/src/network/Synchronisable.h	(revision 774)
+++ code/branches/FICN/src/network/Synchronisable.h	(revision 777)
@@ -14,58 +14,57 @@
 
 #include <list>
-#include <iostream>
-#include <string>
 
+#include "NetworkPrereqs.h"
 #include "core/CoreIncludes.h"
-#include "core/OrxonoxClass.h"
 
-namespace network {
+namespace network
+{
+  enum variableType{
+    DATA,
+    STRING,
+  };
 
-enum variableType{
-  DATA,
-  STRING,
-};
-  
-struct syncData{
-  int length;
-  int objectID;
-  int classID;
-  unsigned char *data;
-};
+  struct syncData{
+    int length;
+    int objectID;
+    int classID;
+    unsigned char *data;
+  };
 
-typedef struct synchronisableVariable{
-  int size;
-  const void *var;
-  variableType type;
-}SYNCVAR;
+  typedef struct synchronisableVariable{
+    int size;
+    const void *var;
+    variableType type;
+  }SYNCVAR;
 
-  
-/**
- * This class is the base class of all the Objects in the universe that need to be synchronised over the network
- * Every class, that inherits from this class has to link the DATA THAT NEEDS TO BE SYNCHRONISED into the linked list. Additionally it also has to provide a Constructor, that takes exactly the variables in this linked list.
- * @author Oliver Scheuss
-*/
-class Synchronisable : virtual public orxonox::OrxonoxClass{
-public:
 
-  virtual ~Synchronisable();
-  int objectID;
-  int classID;
-    
-  void registerVar(const void *var, int size, variableType t);
-//  syncData getData();
-  syncData getData(unsigned char *mem);
-  int getSize();
-  bool updateData(syncData vars);
-  void registerAllVariables();
-  virtual bool create()=0;
-protected:
-  Synchronisable();
-private:
-/*  bool removeObject(Iterator<Synchronisable> it);*/
-  
-  std::list<SYNCVAR> syncList;
-  int datasize;
-};
+  /**
+  * This class is the base class of all the Objects in the universe that need to be synchronised over the network
+  * Every class, that inherits from this class has to link the DATA THAT NEEDS TO BE SYNCHRONISED into the linked list. Additionally it also has to provide a Constructor, that takes exactly the variables in this linked list.
+  * @author Oliver Scheuss
+  */
+  class _NetworkExport Synchronisable : virtual public orxonox::OrxonoxClass{
+  public:
+
+    virtual ~Synchronisable();
+    int objectID;
+    int classID;
+
+    void registerVar(const void *var, int size, variableType t);
+    //  syncData getData();
+    syncData getData(unsigned char *mem);
+    int getSize();
+    bool updateData(syncData vars);
+    void registerAllVariables();
+    virtual bool create()=0;
+  protected:
+    Synchronisable();
+  private:
+    /*  bool removeObject(Iterator<Synchronisable> it);*/
+
+    std::list<SYNCVAR> syncList;
+    int datasize;
+  };
+  ExportAbstractClass(Synchronisable, Network);
 
 }
Index: code/branches/FICN/src/network/dummyclient.cc
===================================================================
--- code/branches/FICN/src/network/dummyclient.cc	(revision 774)
+++ code/branches/FICN/src/network/dummyclient.cc	(revision 777)
@@ -1,28 +1,28 @@
 /*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Oliver Scheuss, (C) 2007
- *   Co-authors:
- *      ...
- *
- */
+*   ORXONOX - the hottest 3D action shooter ever to exist
+*
+*
+*   License notice:
+*
+*   This program is free software; you can redistribute it and/or
+*   modify it under the terms of the GNU General Public License
+*   as published by the Free Software Foundation; either version 2
+*   of the License, or (at your option) any later version.
+*
+*   This program is distributed in the hope that it will be useful,
+*   but WITHOUT ANY WARRANTY; without even the implied warranty of
+*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+*   GNU General Public License for more details.
+*
+*   You should have received a copy of the GNU General Public License
+*   along with this program; if not, write to the Free Software
+*   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+*
+*   Author:
+*      Oliver Scheuss, (C) 2007
+*   Co-authors:
+*      ...
+*
+*/
 
 //o
@@ -34,13 +34,7 @@
 #include <string>
 #include <enet/enet.h>
+
+#include "util/Sleep.h"
 #include "PacketManager.h"
-
-#ifdef WIN32
-#include <windows.h>
-#define usleep(x) Sleep((x)/1000)
-#else
-#include <unistd.h>
-#endif
-
 
 using namespace std;
@@ -66,5 +60,5 @@
   address.port = 55556;
 
-        // create client object
+  // create client object
   client = enet_host_create(NULL, 2, 0, 0);
 
@@ -73,5 +67,5 @@
     exit(EXIT_FAILURE);
   }
-        // connect peer
+  // connect peer
   peer = enet_host_connect(client, &address, 2);
   if(peer==NULL){
@@ -79,5 +73,5 @@
     exit(EXIT_FAILURE);
   }
-        // wait 5 seconds for the connection attempt to succeed
+  // wait 5 seconds for the connection attempt to succeed
   if(enet_host_service(client, &event, 5000) > 0 && event.type == ENET_EVENT_TYPE_CONNECT){
     cout << "Connection to " << str << " succeeded." << endl;
@@ -91,10 +85,10 @@
 
   for(int i=0; i<10; i++){
-        // weihnachtsmann bringt packete
+    // weihnachtsmann bringt packete
     //ENetPacket *packet = enet_packet_create ("packet1234", strlen("packet1234") + 1, ENET_PACKET_FLAG_RELIABLE);
-        // extend the packet and append the string foo to it
-        // send packet to peer on channel id 0
+    // extend the packet and append the string foo to it
+    // send packet to peer on channel id 0
     enet_peer_send(peer, 1, pck.chatMessage("test2"));
-        // keep the timeout very small for low delay
+    // keep the timeout very small for low delay
     if(enet_host_service(client, &event, 1)==0){
       cout << "successfully sent: " << event.type << endl;
@@ -105,20 +99,20 @@
   }
 
-        // now disconnect
-//   enet_peer_disconnect (peer);
+  // now disconnect
+  //   enet_peer_disconnect (peer);
   enet_peer_disconnect (peer, 0);
-        // 3 seconds timeout
+  // 3 seconds timeout
   while(enet_host_service(client, &event, 3000) > 0){
     switch (event.type)
     {
-      case ENET_EVENT_TYPE_RECEIVE:
-        enet_packet_destroy(event.packet);
-        break;
-      case ENET_EVENT_TYPE_DISCONNECT:
-        puts("Disconnection succeeded.");
-        return 0;
+    case ENET_EVENT_TYPE_RECEIVE:
+      enet_packet_destroy(event.packet);
+      break;
+    case ENET_EVENT_TYPE_DISCONNECT:
+      puts("Disconnection succeeded.");
+      return 0;
     }
   }
-        // if disconnect failed
+  // if disconnect failed
   enet_peer_reset(peer);
 
Index: code/branches/FICN/src/network/dummyclient2.cc
===================================================================
--- code/branches/FICN/src/network/dummyclient2.cc	(revision 774)
+++ code/branches/FICN/src/network/dummyclient2.cc	(revision 777)
@@ -1,28 +1,28 @@
 /*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Oliver Scheuss, (C) 2007
- *   Co-authors:
- *      ...
- *
- */
+*   ORXONOX - the hottest 3D action shooter ever to exist
+*
+*
+*   License notice:
+*
+*   This program is free software; you can redistribute it and/or
+*   modify it under the terms of the GNU General Public License
+*   as published by the Free Software Foundation; either version 2
+*   of the License, or (at your option) any later version.
+*
+*   This program is distributed in the hope that it will be useful,
+*   but WITHOUT ANY WARRANTY; without even the implied warranty of
+*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+*   GNU General Public License for more details.
+*
+*   You should have received a copy of the GNU General Public License
+*   along with this program; if not, write to the Free Software
+*   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+*
+*   Author:
+*      Oliver Scheuss, (C) 2007
+*   Co-authors:
+*      ...
+*
+*/
 
 //
@@ -34,13 +34,8 @@
 #include <string>
 #include <enet/enet.h>
+
+#include "util/Sleep.h"
 #include "PacketManager.h"
 #include "ClientConnection.h"
-
-#ifdef WIN32
-#include <windows.h>
-#define usleep(x) Sleep((x)/1000)
-#else
-#include <unistd.h>
-#endif
 
 using namespace network;
@@ -71,9 +66,9 @@
 
   for(int i=0; i<10; i++){
-        // weihnachtsmann bringt packete
-        // extend the packet and append the string foo to it
-        // send packet to peer on channel id 0
+    // weihnachtsmann bringt packete
+    // extend the packet and append the string foo to it
+    // send packet to peer on channel id 0
     client.addPacket(pck.chatMessage("test"));
-        // keep the timeout very small for low delay
+    // keep the timeout very small for low delay
     if(client.sendPackets(&event)){
       std::cout << "successfully sent: " << event.type << std::endl;
@@ -81,8 +76,8 @@
       std::cout << "failed sending" << std::endl;
     }
-//    usleep(1000000);
+    //    usleep(1000000);
   }
   usleep(1000000);
-        // now disconnect
+  // now disconnect
   if(client.closeConnection())
     std::cout << "Connection successfully closed" << std::endl;
@@ -90,5 +85,5 @@
     std::cout << "Connection closing failed" << std::endl;
 
-        // 3 seconds timeout
+  // 3 seconds timeout
   return 0;
 }
Index: code/branches/FICN/src/network/dummyclient3.cc
===================================================================
--- code/branches/FICN/src/network/dummyclient3.cc	(revision 774)
+++ code/branches/FICN/src/network/dummyclient3.cc	(revision 777)
@@ -1,13 +1,8 @@
 #include <iostream>
 #include <string>
+
+#include "util/Sleep.h"
 #include "PacketManager.h"
 #include "Client.h"
-
-#ifdef WIN32
-#include <windows.h>
-#define usleep(x) Sleep((x)/1000)
-#else
-#include <unistd.h>
-#endif
 
 using namespace network;
@@ -26,20 +21,20 @@
   Client client( str, PORT );
   if ( client.establishConnection() )
-          std::cout << "connection established" << std::endl;
+    std::cout << "connection established" << std::endl;
   else std::cout << "problems establishing connection" << std::endl;
   char message[10000];
   char signs[] = "abcdefghijklmnopqrstuvwxy";
   while (true) {
-          client.tick(0);
-	  
-          std::cout << "your message2: ";
-	  for ( int i=0; i<9999; i++ ) {
-	    message[i] = signs[0];
- 	  }
-	  message[9999] = 'z';
-	  std::string str( message );
-	  client.sendChat( str );
-          std::cout << str << std::endl;
-	  std::cin.get(); std::cin.get();
+    client.tick(0);
+
+    std::cout << "your message2: ";
+    for ( int i=0; i<9999; i++ ) {
+      message[i] = signs[0];
+    }
+    message[9999] = 'z';
+    std::string str( message );
+    client.sendChat( str );
+    std::cout << str << std::endl;
+    std::cin.get(); std::cin.get();
   }
 
@@ -49,5 +44,5 @@
 
 void listener(){
-	
+
   const int PORT = 55556;
   std::cout << "Enter address of the server xxx.xxx.xxx.xxx (enter for localhost)" << std::endl;
@@ -60,10 +55,10 @@
   Client client( str, PORT );
   if ( client.establishConnection() )
-          std::cout << "connection established" << std::endl;
+    std::cout << "connection established" << std::endl;
   else std::cout << "problems establishing connection" << std::endl;
 
   while (true) {
-          client.tick(0);
-          usleep(100);
+    client.tick(0);
+    usleep(100);
   }
 
Index: code/branches/FICN/src/network/dummyserver.cc
===================================================================
--- code/branches/FICN/src/network/dummyserver.cc	(revision 774)
+++ code/branches/FICN/src/network/dummyserver.cc	(revision 777)
@@ -1,28 +1,28 @@
 /*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Oliver Scheuss, (C) 2007
- *   Co-authors:
- *      ...
- *
- */
+*   ORXONOX - the hottest 3D action shooter ever to exist
+*
+*
+*   License notice:
+*
+*   This program is free software; you can redistribute it and/or
+*   modify it under the terms of the GNU General Public License
+*   as published by the Free Software Foundation; either version 2
+*   of the License, or (at your option) any later version.
+*
+*   This program is distributed in the hope that it will be useful,
+*   but WITHOUT ANY WARRANTY; without even the implied warranty of
+*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+*   GNU General Public License for more details.
+*
+*   You should have received a copy of the GNU General Public License
+*   along with this program; if not, write to the Free Software
+*   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+*
+*   Author:
+*      Oliver Scheuss, (C) 2007
+*   Co-authors:
+*      ...
+*
+*/
 
 //
@@ -31,18 +31,11 @@
 // Author: Oliver Scheuss
 
-
 #include <iostream>
 #include <enet/enet.h>
+
+#include "util/Sleep.h"
 #include "ConnectionManager.h"
 #include "PacketManager.h"
 #include "ClientInformation.h"
-
-#ifdef WIN32
-#include <windows.h>
-#define usleep(x) Sleep((x)/1000)
-#else
-#include <unistd.h>
-#endif
-
 
 using namespace network;
@@ -59,5 +52,5 @@
   while(!quit){
     if(server.queueEmpty())
-// Warning: usleep(100) is Sleep(100/1000) = Sleep(0), which is nothing!
+      // Warning: usleep(100) is Sleep(100/1000) = Sleep(0), which is nothing!
       usleep(1);
     else{
Index: code/branches/FICN/src/network/dummyserver3.cc
===================================================================
--- code/branches/FICN/src/network/dummyserver3.cc	(revision 774)
+++ code/branches/FICN/src/network/dummyserver3.cc	(revision 777)
@@ -1,51 +1,46 @@
 #include <iostream>
+
+#include "util/Sleep.h"
 #include "PacketManager.h"
 //#include "PacketTypes.h"
 #include "Server.h"
 
-#ifdef WIN32
-#include <windows.h>
-#define usleep(x) Sleep((x)/1000)
-#else
-#include <unistd.h>
-#endif
+namespace network
+{
 
-namespace network{
-  
-class dummyserver3 : public Server{
+  class dummyserver3 : public Server
+  {
   public:
-  dummyserver3();
-  ~dummyserver3();
-  void loop();
+    dummyserver3();
+    ~dummyserver3();
+    void loop();
   private:
-  void tick();
-  void processChat( chat *data, int clientId);
-  
-  
-  
-};
+    void tick();
+    void processChat( chat *data, int clientId);
 
-dummyserver3::dummyserver3(){
-}
-dummyserver3::~dummyserver3(){
-}
 
-void dummyserver3::loop(){
-  open();
-  while(true){
-    tick();
-    usleep(100);
+  };
+
+  dummyserver3::dummyserver3(){
   }
-}
+  dummyserver3::~dummyserver3(){
+  }
 
-void dummyserver3::processChat( chat *data, int clientId){
-  std::cout << "Client " << clientId << " sent: " << data->message << std::endl;
-  sendMSG(data->message);
-}
+  void dummyserver3::loop(){
+    open();
+    while(true){
+      tick();
+      usleep(100);
+    }
+  }
 
-void dummyserver3::tick(){
-  processQueue();
-}
+  void dummyserver3::processChat( chat *data, int clientId){
+    std::cout << "Client " << clientId << " sent: " << data->message << std::endl;
+    sendMSG(data->message);
+  }
 
+  void dummyserver3::tick(){
+    processQueue();
+  }
 
 }
Index: code/branches/FICN/src/orxonox/Orxonox.h
===================================================================
--- code/branches/FICN/src/orxonox/Orxonox.h	(revision 774)
+++ code/branches/FICN/src/orxonox/Orxonox.h	(revision 777)
@@ -15,4 +15,5 @@
 #include "OrxonoxPrereqs.h"
 #include "loader/LoaderPrereqs.h"
+#include "audio/AudioPrereqs.h"
 
 #include "GraphicsEngine.h"
Index: code/branches/FICN/src/orxonox/OrxonoxPrereqs.h
===================================================================
--- code/branches/FICN/src/orxonox/OrxonoxPrereqs.h	(revision 774)
+++ code/branches/FICN/src/orxonox/OrxonoxPrereqs.h	(revision 777)
@@ -27,5 +27,5 @@
 
 /**
- @file  OrxonoxPrereq.h
+ @file  OrxonoxPrereqs.h
  @brief Contains all the necessary forward declarations for all classes and structs.
  */
@@ -94,39 +94,4 @@
 }
 
-namespace audio {
-  class AudioBuffer;
-  class AudioManager;
-  class AudioSource;
-  class AudioStream;
-}
-
-namespace network {
-  class Client;
-  class ClientConnection;
-  class ClientFrameListener;
-  class ClientInformation;
-  class ConnectionManager;
-  class GameStateClient;
-  class GameStateManager;
-  class PacketBuffer;
-  class PacketDecoder;
-  class PacketGenerator;
-  class Server;
-  class ServerFrameListener;
-  class Synchronisable;
-  struct ack;
-  struct chat;
-  struct classid;
-  struct ClientList;
-  struct GameState;
-  struct GameStateCompressed;
-  struct keyboard;
-  struct mouse;
-  struct PacketEnvelope;
-  struct QueueItem;
-  struct synchData;
-  struct synchronisableVariable;
-
-}
 
 #endif /* _OrxonoxPrereqs_H__ */
